import {
    videoActionPreReportUrl, videoViewUrl, playedUrl,
    videoActionReportUrl, shareReportUrl, weixinFriendUrl,
    shareClickUrl, shareContactClickUrl
} from '@/http/api'
import http from '@/http/index'

// category 卡片 preview 上报
export function videoActionPreReport(params) {
    return http.post(videoActionPreReportUrl, params)
}

// 视频曝光上报
export function videoViewReport(params) {
    return http.post(videoViewUrl, params)
}

// 视频曝光播放
export function videoPlayReport(params) {
    return http.post(playedUrl, params)
}

// 播放上报
export function videoActionReport(params) {
    return http.post(videoActionReportUrl, params)
}

// 分享 report 
export function shareReport(params) {
    return http.post(shareReportUrl, params)
}

// 分享 friend
export function weixinFriend(params) {
    return http.post(weixinFriendUrl, params)
}

// 回流 click
export function shareClickReport(params) {
    return http.post(shareClickUrl, params)
}

// 分享消息会话
export function shareContactReport(params) {
    return http.post(shareContactClickUrl, params)
}